﻿namespace Hotline.Api.Realtimes
{
    public static class RealtimeMethods
    {
        #region 通讯通知
        /// <summary>
        /// 电话振铃通知
        /// </summary>
        public static string Ring = "Ring";
        /// <summary>
        /// 电话应答通知
        /// </summary>
        public static string Answered = "Answered";
        /// <summary>
        /// 电话挂断通知
        /// </summary>
        public static string Bye= "Bye";
        /// <summary>
        /// 小休审核通过通知
        /// </summary>
        public static string RestApplyPass = "RestApplyPass";
        /// <summary>
        /// 电话队列通知
        /// </summary>
        public static string CallQueue = "CallQueue";
        /// <summary>
        /// 回铃（去电）
        /// </summary>
        public static string Alert = "Alert";
        /// <summary>
        /// 话机空闲
        /// </summary>
        public static string Idle = "Idle";

        #endregion

        #region 系统信息通知

        /// <summary>
        /// 通知用户未读消息
        /// </summary>
        public static string CircularRecord = "CircularRecord";


        #endregion

        #region 大屏-数据展示

        public static string BsDataShowArea1 = "BsDataShowArea1";
        public static string BsDataShowArea2 = "BsDataShowArea2";
        public static string BsDataShowArea3 = "BsDataShowArea3";
        public static string BsDataShowArea4 = "BsDataShowArea4";
        public static string BsDataShowArea5 = "BsDataShowArea5";
        public static string BsDataShowArea6 = "BsDataShowArea6";
        public static string BsDataShowArea7 = "BsDataShowArea7";
        public static string BsDataShowArea8 = "BsDataShowArea8";

        #endregion
    }
}
    